# $Revision: 1.6.2.1 $, $Date: 2003/03/13 00:58:53 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	Test
%define	pnam	Exception
Summary:	Test::Exception - Convenience routines for testing exception based code
Summary(pl):	Test::Exception - wygodne funkcje do testowania kodu bazujcego na wyjtkach
Name:		perl-Test-Exception
Version:	0.15
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-IO-String
BuildRequires:	perl-Pod-Coverage
BuildRequires:	perl-Sub-Uplevel
BuildRequires:	perl-Test-Builder-Tester
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a few convenience methods for testing exception
based code.  It is built with Test::Builder and plays happily with
Test::More and friends.

%description -l pl
Ten modu udostpnia kilka wygodnych metod do testowania kodu
bazujcego na wyjtkach. Jest budowany z uyciem Test::Builder, dziaa
sprawnie z Test::More i przylegociami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Test-Exception.spec,v $
Revision 1.6.2.1  2003/03/13 00:58:53  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.6  2003/02/25 00:42:33  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:38:36  ankry
- massive attack: change CPAN URLs

Revision 1.4  2003/02/05 16:19:41  ankry
- autoupdated to 0.15

Revision 1.3  2002/08/31 12:26:26  radek
- version 0.12

Revision 1.2  2002/08/26 16:20:01  qboosh
- pl description

Revision 1.1  2002/08/25 15:21:04  radek
- new, STBR
